using System;

internal sealed class Delegate555 : MulticastDelegate
{
	public extern string Invoke(ref Guid guid_0, string string_0);

	public static string smethod_0(ref Guid guid_0, string string_0, Delegate555 delegate555_1)
	{
		return delegate555_1(ref guid_0, string_0);
	}

	public extern Delegate555(object object_0, IntPtr intptr_0);

	static Delegate555()
	{
		Class10.smethod_13(typeof(Delegate555).TypeHandle);
	}

	internal static Delegate555 delegate555_0;
}
